import request from '@/utils/request'

export function save(data) {
  return request({
    url: '/api/admin/parameter/save',
    method: 'post',
    data
  })
}

export function store(data) {
  return request({
    url: '/api/admin/parameter/store',
    method: 'post',
    data
  })
}
export function getparameter(param,loading = true) {
  return request({
    url: '/api/admin/parameter/show',
    method: 'get',
    params: param,
    isLoading:loading
  })
}

export function getparameteritem(number) {

  return request({
    url: '/api/admin/parameter/show',
    method: 'get',
    params: {
      number: number
    }
  })
}

export function listparameter(param) {
  return request({
    url: '/api/admin/parameter/index',
    method: 'get',
    params: param
  })
}
export function del(id) {
  return request({
    url: '/api/admin/parameter/delete',
    method: 'get',
    params: {
      id
    }
  })
}
export function delDetail(id) {
  return request({
    url: '/api/admin/parameter/detail-delete',
    method: 'get',
    params: {
      id
    }
  })
}
